namespace _2023._11._27;

class Allat
{
    public class Allatok
    {
        public void Eszik()
        {
            System.Console.WriteLine("Az állat eszik.");
        }

        public void Alszik()
        {
            System.Console.WriteLine("Az állat alszik.");
        }
    }

    public class Kutya: Allatok
    {
        public void Ugat()
        {
            System.Console.WriteLine("A kutya ugat.");
        }
    }

    public class Cica: Allatok
    {
        public void Nyavog()
        {
            System.Console.WriteLine("A macska nyávog.");
        }
    }
}